=== bindings/CMakeLists.txt ===

IF (ENABLE_STATIC AND NOT DISABLE_SHARED AND ENABLE_STATIC_BINDINGS)
    SET (LIBSOLV_BINDINGS_LIBRARIES libsolvext_static libsolv_static)
ELSE (ENABLE_STATIC AND NOT DISABLE_SHARED AND ENABLE_STATIC_BINDINGS)
    SET (LIBSOLV_BINDINGS_LIBRARIES libsolvext libsolv)
ENDIF (ENABLE_STATIC AND NOT DISABLE_SHARED AND ENABLE_STATIC_BINDINGS)

SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

FIND_PACKAGE (SWIG)

MESSAGE (STATUS "Found SWIG version ${SWIG_VERSION}")
SET (SWIG_INPUT "${CMAKE_CURRENT_SOURCE_DIR}/solv.i")

IF (ENABLE_PYTHON)
    ADD_SUBDIRECTORY (python)
ENDIF (ENABLE_PYTHON)
IF (ENABLE_PYTHON3)
    ADD_SUBDIRECTORY (python3)
ENDIF (ENABLE_PYTHON3)
IF (ENABLE_PERL)
    ADD_SUBDIRECTORY (perl)
ENDIF (ENABLE_PERL)
IF (ENABLE_RUBY)
    ADD_SUBDIRECTORY (ruby)
ENDIF (ENABLE_RUBY)
IF (ENABLE_TCL)
    ADD_SUBDIRECTORY (tcl)
ENDIF (ENABLE_TCL)
IF (ENABLE_LUA)
    ADD_SUBDIRECTORY (lua)
ENDIF (ENABLE_LUA)
