=== examples/CMakeLists.txt ===
IF (SUSE OR FEDORA OR DEBIAN OR MANDRIVA OR MAGEIA)

ADD_SUBDIRECTORY (solv)

ENDIF (SUSE OR FEDORA OR DEBIAN OR MANDRIVA OR MAGEIA)
