=== debian/changelog ===
libsolv (0.7.35-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.35'
  * Build depend on perl-xs-dev (Closes: #1102790)
  * Update symbols file for 0.7.35

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:35:03 +0100
