=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_PYTHON_INSTALL_LAYOUT=deb
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
		-DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
		-DUSE_VENDORDIRS=1 \
		-DMULTI_SEMANTICS=1 \
		-DDEBIAN=1 \
		-DENABLE_PUBKEY=1 \
		-DENABLE_SUSEREPO=1 \
		-DENABLE_RPMMD=1 \
		-DENABLE_RPMDB=1 \
		-DENABLE_RPMDB_BYRPMHEADER=1 \
		-DENABLE_HELIXREPO=1 \
		-DENABLE_DEBIAN=1 \
		-DENABLE_MDKREPO=1 \
		-DENABLE_ARCHREPO=1 \
		-DENABLE_CUDFREPO=1 \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DENABLE_LZMA_COMPRESSION=1 \
		-DENABLE_BZIP2_COMPRESSION=1 \
		-DENABLE_ZSTD_COMPRESSION=1 \
		-DENABLE_PERL=1 \
		-DENABLE_PYTHON=0 \
		-DENABLE_PYTHON3=1 \
		-DCMAKE_SKIP_RPATH=FALSE \
		-DCMAKE_SKIP_INSTALL_RPATH=TRUE \
		-DENABLE_COMPLEX_DEPS=1 \
		-DENABLE_COMPS=1

execute_after_dh_auto_install:
	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
	if [ -e debian/tmp/usr/share/cmake/Modules/FindLibSolv.cmake ]; then mkdir -p debian/tmp/usr/share/cmake/libsolv/; ln -s FindLibSolv.cmake debian/tmp/usr/share/cmake/libsolv/LibSolvConfig.cmake; fi

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs --all CREDITS README TODO_1.0
